---
title: llarp::layers::platform::ReservedAddressMapping
summary: RAII wrapper type that holds an address mapping we reserve that we can finalize or cancel allocation later. 

---

# llarp::layers::platform::ReservedAddressMapping



RAII wrapper type that holds an address mapping we reserve that we can finalize or cancel allocation later. 


`#include <addr_mapper.hpp>`

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[ReservedAddressMapping](Classes/classllarp_1_1layers_1_1platform_1_1ReservedAddressMapping.md#function-reservedaddressmapping)**([AddrMapper](Classes/classllarp_1_1layers_1_1platform_1_1AddrMapper.md) & mapper)<br>construct using the addrmapper's next available address mapping.  |
| [AddressMapping](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md) & | **[accept](Classes/classllarp_1_1layers_1_1platform_1_1ReservedAddressMapping.md#function-accept)**()<br>finalize the reservation and return what we just put into the addrmapper.  |

## Public Functions Documentation

### function ReservedAddressMapping

```cpp
explicit ReservedAddressMapping(
    AddrMapper & mapper
)
```

construct using the addrmapper's next available address mapping. 

### function accept

```cpp
AddressMapping & accept()
```

finalize the reservation and return what we just put into the addrmapper. 

any changes to the [AddressMapping](Classes/structllarp_1_1layers_1_1platform_1_1AddressMapping.md) returned will be persisted by the address mapper. 


-------------------------------

Updated on 2023-03-03 at 21:08:42 +0000